import Foundation
import WatchKit

class PostContentController: WKInterfaceController {

  @IBOutlet weak var contentLabel: WKInterfaceLabel!
  @IBOutlet weak var titleLabel: WKInterfaceLabel!

  override func awakeWithContext(context: AnyObject!) {
    super.awakeWithContext(context)

    if let post = context as? [String: String] {
      titleLabel.setText(post["title"])
      contentLabel.setText(post["content"])
    }
  }
}
